### Method

# St ThemeContext set_theme

#### Declaration [src]

    void
    st_theme_context_set_theme (
      StThemeContext* context,
      StTheme* theme
    )

#### Description [src]

Sets the default set of theme stylesheets for the context. This theme will be used for the root node and for nodes descending from it, unless some other style is explicitly specified.

#### Parameters

`theme`

  Type: `StTheme`

  A `StTheme`.

  The data is owned by the caller of the method.